# SnapLogic Common Robot Framework Library

A comprehensive Robot Framework library providing keywords for SnapLogic platform automation and testing.

## 🚀 Features

- **SnapLogic APIs**: Low-level API keywords for direct platform interaction
- **SnapLogic Keywords**: High-level business keywords for common operations  
- **Common Utilities**: Shared utilities for database connections and file operations
- **Comprehensive Documentation**:  After installation, access the comprehensive HTML documentation through index.html



```bash
pip install snaplogic-common-robot
```


## 🔑 Available Keywords

### SnapLogic APIs
- Pipeline management and execution
- Task monitoring and control
- Data operations and validation

### SnapLogic Keywords  
- High-level business operations
- Pre-built test scenarios
- Error handling and reporting

### Common Utilities
- **Connect to Oracle Database**: Sets up database connections using environment variables
- File operations and data handling
- Environment setup and configuration

## 🛠️ Requirements

- Python 3.12+
- Robot Framework
- Database connectivity libraries
- HTTP request libraries

## 🏗️ Development

```bash
# Clone the repository
git clone <repository-url>

# Install development dependencies
pip install -r src/requirements.txt

```


## 🏢 About SnapLogic

This library is designed for testing and automation of SnapLogic integration platform operations.
